package com.fjhx.xmhjc.mapper.product;

import com.fjhx.xmhjc.entity.product.po.ProductInfo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.xmhjc.entity.product.vo.ProductInfoVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 产品信息表 Mapper 接口
 * </p>
 *
 * @author hj
 * @since 2023-11-12
 */
public interface ProductInfoMapper extends BaseMapper<ProductInfo> {

    /**
     * 产品信息表列表
     */
    List<ProductInfoVo> getList(@Param("ew") IWrapper<ProductInfo> wrapper);

    /**
     * 产品信息表分页
     */
    Page<ProductInfoVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<ProductInfo> wrapper);

}
