package com.fjhx.xmhjc.entity.product.dto;

import com.fjhx.file.entity.ObsFile;
import com.fjhx.xmhjc.entity.product.po.ProductCategory;
import com.fjhx.xmhjc.entity.product.po.ProductSubCategory;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 产品类目表新增编辑入参实体
 *
 * @author hj
 * @since 2023-11-12
 */
@Getter
@Setter
public class ProductCategoryDto extends ProductCategory {
    private List<ProductSubCategory> subCategoryList;
    private List<ObsFile> categoryCoverList;
}
