package com.fjhx.xmhjc.entity.product.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 产品信息表
 * </p>
 *
 * @author hj
 * @since 2023-11-12
 */
@Getter
@Setter
@TableName("product_info")
public class ProductInfo extends BasePo {

    /**
     * 类目id
     */
    private Long categoryId;


    /**
     * 子类目id
     */
    private Long subCategoryId;


    /**
     * 标题
     */
    private String title;

    /**
     * 副标题
     */
    private String subheading;

    /**
     * 封面url
     */
    private String coverUrl;

    /**
     * 产品规格，多个逗号隔开
     */
    private String spec;

    /**
     * 详情类型，1=富文本；2=图片
     */
    private String contentType;

    /**
     * 详情内容
     */
    private String content;

    private Integer sort;

    private String status;

}
