package com.fjhx.xmhjc.entity.product.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 产品类目表
 * </p>
 *
 * @author hj
 * @since 2023-11-16
 */
@Getter
@Setter
@TableName("product_sub_category")
public class ProductSubCategory extends BasePo {

    private String name;

    private String code;

    private Integer sort;

    /**
     * 状态0=禁用；1=启用
     */
    private String status;

    private Long parentId;

}
